org.apache.axiom.util.base64

## Class AbstractBase64DecodingWriter

- java.lang.Object
- - java.io.Writer
  - - org.apache.axiom.util.base64.AbstractBase64DecodingWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable
  Direct Known Subclasses:
    Base64DecodingOutputStreamWriter

      public abstract class AbstractBase64DecodingWriter
      extends Writer

  Base class for `Writer` implementations that decode data in base64.

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBase64DecodingWriter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doWrite(byte[] b, int len)` Write base64 decoded data.
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, close, flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBase64DecodingWriter

          public AbstractBase64DecodingWriter()

  - ### Method Detail

    - #### write

          public final void write(char[] cbuf,
                                  int off,
                                  int len)
                           throws IOException

      Specified by:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public final void write(String str,
                                  int off,
                                  int len)
                           throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public final void write(int c)
                           throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### doWrite

          protected abstract void doWrite(byte[] b,
                                          int len)
                                   throws IOException

      Write base64 decoded data. If necessary, the implementation should accumulate the data in a buffer before writing it to the underlying stream. The maximum number of bytes passed to this method in a single call is 3.
      Parameters:
        `b` - the byte array containing the data to write, starting at offset 0
        `len` - the number of bytes to write
      Throws:
        `IOException` - if an I/O error occurs

Copyright © The Apache Software Foundation. All Rights Reserved.